<div id='container'>
  <form class="needs-validation" novalidate #membersForm="ngForm" >
    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="firstName">First Name</label>
        <input class="form-control"
               [ngClass]="{ 'is-invalid': fName.invalid && fName.dirty }"
               [(ngModel)]="memberData.first_name" #fName = "ngModel" name = "firstName" minlength="10" maxlength="20" id="firstName" placeholder="firstName" required>
        <div class="invalid-feedback" *ngIf="fName.errors && fName.errors.required">
          First name is required
        </div>
        <div class="invalid-feedback" *ngIf="fName.errors && fName.errors.minlength">
          Minimum is 10
        </div>
      </div>
      <div class="form-group col-md-6">
        <label for="lastName">Last Name</label>
        <input class="form-control"
               [ngClass]="{ 'is-invalid': lName.invalid && lName.dirty }"
               [(ngModel)]="memberData.last_name" #lName = "ngModel" name = "lastName" id="lastName" placeholder="Enter Last Name" required>
        <div class="invalid-feedback">
          Last name is required
        </div>
      </div>
    </div>
    <div class="form-group">
      <label for="reasonArray">Reason</label>
      <select [(ngModel)]="memberData.reason" #reason = "ngModel" name="reasonArray" name = "reasonA" class="form-control" id = "reasonArray" >
        <option *ngFor="let abc of reasonArray">{{abc}}</option>
      </select>
    </div>
    <div class="form-group">
      <label for="payment_month">Payment Month</label>
      <input [(ngModel)]="memberData.payment_month" #payment_month = "ngModel" type="text" name = "paymentMethid" class="form-control" id="payment_month" placeholder="payment_month">
    </div>
    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="amount">amount</label>
        <input  [(ngModel)]="memberData.amount" #amount = "ngModel" type="text"  name = "amt" class="form-control" id="amount">
      </div>
    </div>
    <button [disabled]="membersForm.invalid" type="submit" class="btn btn-primary" (click)="submitMemberForm()">Submit</button>
  </form>
</div>


